Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractSubPanelManage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractSubPanelManage

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractSubPanelManage extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractSubPanelManage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `String`
  `getUser()`
  `String`
  `getValue()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setUser(String user)`
  `void`
  `setValue(String value)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractSubPanelManage

    public ContractSubPanelManage()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue(String value)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)